<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();

$city = (isset($_GET['city']) ? urldecode($_GET['city']) : $user['ank_city']);

$set['title'] = 'Топ авторитетов из города ' . text($city); 

include_once '../sys/inc/thead.php';
title();
aut();

$array = mysql_query("SELECT ank_city AS city, count( id ) AS count
                      FROM user
                      WHERE ank_city is not NULL AND ank_city != '' AND `avtoritet_count` > '0'
                      GROUP BY ank_city
                      ORDER BY `count` DESC");
$k_post = 0;

if (mysql_num_rows($array) == 0)
{
  	echo '<div class="mess">';
  	echo 'На это неделе никто не поднимал авторитет..';
  	echo '</div>';
} else {
    ?><div class="nav2"><?
    while ($post = mysql_fetch_assoc($array))
    {
        if ($post['city'] == $city) {
            $k_post = $post['count'];
            echo ' <b>' . text($post['city']) . '</b> (' . $post['count'] . ')';
        } else {
            echo ' <a href="?city=' . urlencode($post['city']) . '">' . text($post['city']) . '</a> (' . $post['count'] . ')';
        }
    }  
    ?></div><?
}

?>
<div class="mess">
<? if (isset($user) && !$user['ank_city']) { ?>
    <span class="off">У вас не указан Город! Участие в топе невозможно!</span><br />
<? }

if ($city == $user['ank_city']) { ?>
Авторитет города это человек, у которого за последние 7 суток с текущего момента было максимальное из всех поднятие авторитета в Вашем городе. <br />
<? } ?>
Ваше поднятие авторитета за последние 7 суток: <?= $user['avtoritet_count']?><br />
<a href="/user/avtoritet.php?id=<?= $user['id']?>"><img src="/style/avtoritet/icon_13.png" /> Поднять авторитет</a><br />
Другие авторитеты за последние 7 суток<br />
</div>
<?

$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$num = $start;

$q = mysql_query("SELECT id, avtoritet, avtoritet_count 
                  FROM `user` 
                  WHERE `avtoritet_count` > '0' AND `ank_city` = '" . my_esc($city) . "' AND ank_city is not NULL AND ank_city != ''
                  ORDER BY `avtoritet_count` DESC LIMIT $start, $set[p_str]");
            
if (mysql_num_rows($q) == 0)
{
  	echo '<div class="mess">';
  	echo 'Нет авторитетов из города ' . text($city) . '..';
  	echo '</div>';
}
else 
{
    while ($ank = mysql_fetch_assoc($q)) 
    {
    	// Лесенка
    	echo '<div class="nav' . ($num % 2 ? 1 : 2) . '">';
    	$num++;

    	echo $num . ') ' . user::avatar($ank['id'], 2) . user::nick($ank['id'], 1, 1, 1) . ' <br />';
    	
    	// Авторитет
    	echo '<div style="color: #4e4e4e"><img src="/style/avtoritet/a8.png" alt="*" />Авторитет за неделю [' . $ank['avtoritet_count'] . ' очков]</div>'; 

    	if ($ank['avtoritet'] > 0) {
        echo '<div>' . star($ank['avtoritet']) . '</div>'; 
      }
    	echo '</div>';
    }  

    if ($k_page > 1) { 
        str('index.php?city=' . urlencode($city) . '&amp;', $k_page, $page); 
    }
}

echo '<div class="nav1">';
echo '<img src="/style/avtoritet/a1.png" alt="*"/> <a href="/user/top.avtoritet.php">Топ 10 авторитетов</a>';
echo '</div>';

include_once '../sys/inc/tfoot.php';